.valid {
  color: green;
}
.invalid {
  color: #cc0000;
}

@font-face {
  font-family: 'JetBrains Mono',
  src: url(/Flexwhere_May2025/modules/JetBrainsMono-VariableFont_wght.ttf);
}

.flx-invalid * {
  border-color: #cc0000 !important;
}

.heading-style {
  display: flex;
  gap: 20px;
}

.multistep-wrapper {
  font-family: Montserrat, sans-serif;
  background: #fff;
  color: #000;
  padding: 2rem;
}

.multistep-wrapper h2 {
  font-size: 39px;
  font-weight: 700;
  margin-bottom: 1.5rem;
}

.multistep-wrapper .step-indicator {
  display: flex;
  gap: 0.5rem;
  margin-bottom: 2rem;
}

.multistep-wrapper .step {
  font-weight: 600;
  padding: 0.4rem 0.8rem;
  border-radius: 8px;
  background-color: #f0f2f7;
  color: #ccc;
}

.multistep-wrapper .step.active {
  background-color: #eef0f8;
  color: #016ff6;
}

.multistep-wrapper .form-step {
  max-width: 700px;
  margin: 0 auto;
}

.multistep-wrapper .form-group {
  display: flex;
  flex-direction: column;
  margin-bottom: 1.5rem;
  width: 100%;
}

.multistep-wrapper label {
  margin-bottom: 0.5rem;
  font-weight: 500;
  font-size: 1.125rem;
}

.multistep-wrapper label span {
  color: #016ff6;
}

.multistep-wrapper input,
.multistep-wrapper select {
  /* padding-bottom: 1.25rem;
  padding-top: 1.25rem; */
  padding: 1rem 0.5rem;
  font-size: 16px;
  background-color: #f7f9fc;
  border: none;
}

.company-name input,
#department-select,
.phone-input,
.subdomain-field > section
{
  border: 1px solid #cdd6e1;
  border-radius: 5px;
}

/* Phone number field styling  */
 .phone-input {
   display: flex;
   align-items: center;
   border-radius: 5px;
   background-color: #eff0f4;
   min-width: 260px;
}

/*     .phone-input select {
      border: none;
      background: transparent;
      font-size: 14px;
      margin-right: 6px;
      width: 40px;
      border: 1px solid red;
    } */

.phone-input input {
  width: 100%;
}

.country-select {
  cursor: pointer;
  position: relative;
  user-select: none;
  width: 60px;
  padding: 0 0.3rem;
}
.countryselected {
  padding: 5px;
  display: flex;
  align-items: center;
}
.countryoptions {
  position: absolute;
  width: 250px;
  border: 1px solid #ccc;
  max-height: 150px;
  overflow-y: auto;
  background: #fff;
  display: none;
  margin: 0;
  padding: 0;
  list-style: none;
  z-index: 100;
}
.countryoptions li {
  padding: 5px;
  display: flex;
  align-items: center;
}
.countryoptions li:hover {
  background: #eee;
}
.countryoptions img {
  margin-right: 5px;
}

.dropdown-arrow {
  margin-left: 0.3rem
}

.error-description {
  display: none;
}

.company-name .company-error:not(.hidden) + .error-description {
  display: block;
}

/* Subdomain styling  */
.subdomain-field > section {
  display: flex;
}

.subdomain-field > section:focus-within {
  outline: 2px solid #016ff6;
}

.subdomain-field > section > input {
  flex: 1;
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
  border-right: 1px solid #cdd6e1;
  outline: none !important;
}

.subdomain-field > section > .domain {
  padding: 1rem;
  background-color: #ebedef;
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
}

.subdomain-field small {
  color: #767676;
}

.subdomain-field > p {
  margin: 0 0 0.5rem;
  font-size: 0.875rem;
}

p.hint {
  margin-top: 0.2rem;
}

.error {
  display: none;
  color: #cc0000;
}

.subdomain-field.flx-invalid.subdomain-invalid .error.subdomain-invalid {
  display: block;
}
.subdomain-field.flx-invalid.subdomain-taken .error.subdomain-taken {
  display: block;
}

#department-select {
  appearance: none;
}

#department-select::after {
  background-image: url();
}


.multistep-wrapper input:focus,
.multistep-wrapper select:focus {
  outline: 2px solid #016ff6;
}

.multistep-wrapper .form-row {
  display: flex;
  gap: 1rem;
}

.multistep-wrapper .full-width {
  width: 100%;
}

.multistep-wrapper .fbutton {
  width: 50%;
  padding: 0.75rem;
  font-size: 1rem;
  font-weight: bold;
  background-color: #016ff6;
  color: white;
  border: none;
  border-radius: 8px;
  cursor: pointer;
  transition: opacity 0.3s ease;
  display: block;
  margin: 1rem 0 0 0;
  opacity: 1;
}

.multistep-wrapper .fbutton.disabled {
  cursor: default;
  background-color: #ccc;
  pointer-events: none;
}

.multistep-wrapper .btn.hidden {
  opacity: 0;
  pointer-events: none;
}

.multistep-wrapper .privacy-text {
  text-align: center;
  margin-top: 1rem;
  font-size: 0.875rem;
  color: #666;
}

.multistep-wrapper .privacy-text a {
  color: #016ff6;
  text-decoration: none;
}

.multistep-wrapper .already-exist {
  display: none;
}

.privacy-text-style {
  margin-top: 10px;
  color: #505050;
  margin-bottom:6.25rem;
}

.privacy-text-style a{
  color: #016ff6;
}

[id^="already-exists-"] {
  margin-left: 30px;
}

.aready-exist-p {
  font-size: 20px;
  font-weight: bold;
  text-align: center;
  margin-bottom: 40px;
}

.button-container .abutton {
    background-color: #fff;
    border: 1px solid #016ff6;
    border-radius: 5px;
    color: #016ff6 !important;
    cursor: pointer;
    display: inline-block;
    font-weight: 600;
    margin-right: 1rem;
    padding: .5rem .2rem;
    text-align: center;
    text-decoration: none;
    width: 254px;
    opacity: .8;
}
.button-container .abutton a {
  color: #016ff6 !important;
}

.button-container .abutton a:hover{
  color: #005ed0 !important;
}
.go-to {
  margin: 0rem auto;
  max-width: 354px;
  text-align: center;
}
.env-fbutton {
    background-color: #fff;
    border: 1px solid #016ff6;
    border-radius: 5px;
    color: #016ff6;
    cursor: pointer;
    display: inline-block;
    font-weight: 600;
    padding: .5rem .5rem;
    text-align: center;
    text-decoration: none;
    max-width: 354px;
    justify-content: center;
    opacity: .8;
}
.section-title p, .support p, .go-to p {
      display: block;
    float: none;
    font-size: 16px;
    margin-bottom: 40px;
    margin-top: 40px;
    position: relative;
    text-align: center;
}

 .go-to p a {
     background-color: #fff;
    border: 1px solid #016ff6;
    border-radius: 5px;
    color: #016ff6;
     cursor: pointer;
      display: inline-block;
      font-weight: 600;
      margin-right: 1rem;
      padding: .5rem .2rem;
      text-align: center;
      text-decoration: none;
      opacity: .8;
 }
@media (max-width: 600px) {
  .multistep-wrapper .form-row {
    flex-direction: column;
  }

  .multistep-wrapper .btn {
    width: 50%;
  }

  .multistep-wrapper .btn:disabled {
    opacity: 0.5;
    cursor: not-allowed;
  }
}

.text-red {
  color: #cc0000;
  font-size: 0.875rem; /* optional for smaller text */
  margin-top: 0.3rem;
}

/* div:has(.text-red) * {
  border-color: #cc0000;
}
 */
